package com.hai.service;

import com.alibaba.fastjson.JSONObject;
import com.hai.entity.ApiMerchants;
import com.hai.entity.ApiProduct;
import com.hai.entity.ApiProductConfig;

/**
 * @serviceName ApiOpenService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // api开发接口
 * @createTime 17:29 2022/6/10
 **/
public interface ApiOpenService {

    /**
    * @Author Sum1Dream
    * @name createOrder.java
    * @Description // 充值预下单
    * @Date 17:31 2022/6/10
    * @Param [com.alibaba.fastjson.JSONObject]
    * @return com.alibaba.fastjson.JSONObject
    */
    void createOrder(JSONObject object , ApiMerchants apiMerchants , ApiProductConfig productConfig) throws Exception;

}
